=== modified file 'CMakeScripts/Install.cmake'
--- CMakeScripts/Install.cmake	2016-07-06 15:45:34 +0000
+++ CMakeScripts/Install.cmake	2016-07-08 16:30:13 +0000
@@ -11,10 +11,15 @@
     ${EXECUTABLE_OUTPUT_PATH}/inkview.exe
     DESTINATION ${CMAKE_INSTALL_PREFIX}
   )
+  
+  install(PROGRAMS
+	${EXECUTABLE_OUTPUT_PATH}/inkscape_com.exe
+	DESTINATION ${CMAKE_INSTALL_PREFIX}
+	RENAME inkscape.com
+  )
 
   install(FILES
     ${LIBRARY_OUTPUT_PATH}/libinkscape_base.dll
-    ${LIBRARY_OUTPUT_PATH}/libgrid2.dll
     DESTINATION ${CMAKE_INSTALL_PREFIX}
   )
     
@@ -25,6 +30,9 @@
     NEWS
     README
     TRANSLATORS
+	GPL2.txt
+	GPL3.txt
+	LGPL2.1.txt
     DESTINATION ${CMAKE_INSTALL_PREFIX})
     
   # There are differences in the devlibs for 64-Bit and 32-Bit build environments.

=== modified file 'mingwenv.bat'
--- mingwenv.bat	2016-07-06 14:04:54 +0000
+++ mingwenv.bat	2016-07-08 15:04:54 +0000
@@ -2,7 +2,7 @@
 
 REM -----------------------------------------------------------------------------
 REM The paths in this file are used if you want to build Inkscape from the
-REM the Windows built-in command line (i.e. MSYS).
+REM the Windows built-in command line.
 REM -----------------------------------------------------------------------------
 
 REM Directory containing the precompiled Inkscape libraries. Usually c:\devlibs or c:\devlibs64

=== modified file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	2016-07-06 15:42:00 +0000
+++ src/CMakeLists.txt	2016-07-08 16:18:50 +0000
@@ -418,7 +418,7 @@
   verbs.h
   version.h
 )
-
+  
 # -----------------------------------------------------------------------------
 # Generate version file
 # -----------------------------------------------------------------------------
@@ -484,35 +484,33 @@
 # -----------------------------------------------------------------------------
 # Setup the executable
 # -----------------------------------------------------------------------------
-#add_inkscape_lib(sp_LIB "${sp_SRC}")
-#add_inkscape_lib(inkscape_LIB "${inkscape_SRC}")
+set(main_SRC main.cpp)
+set(view_SRC inkview.cpp)
 
-if(WIN32)
+if(WIN32)  
   # Sources for the inkscape executable on Windows.
-  set(main_SRC
+  list(APPEND main_SRC
     registrytool.h
     registrytool.cpp
-    main.cpp
     winmain.cpp
-    #winconsole.cpp
   )
   
   # Add the platform specific resource files (enabling the app icon).
   if(${HAVE_MINGW64})
     list(APPEND main_SRC inkscape-x64.rc)
+	list(APPEND view_SRC inkscape-x64.rc)
   else()
     list(APPEND main_SRC inkscape.rc)
+	list(APPEND view_SRC inkscape.rc)
   endif()
-else()
-  set(main_SRC main.cpp)
+  
+  # Build the windows MS-DOS console executable.
+  add_executable(inkscape_com winconsole.cpp)
 endif()
 
-# Build everything except main and inkview.c in a shared library.
-add_library(inkscape_base SHARED ${inkscape_SRC} ${sp_SRC})
-
 # make executables for inkscape and inkview
 add_executable(inkscape ${main_SRC})
-add_executable(inkview inkview.cpp)
+add_executable(inkview ${view_SRC})
 
 add_dependencies(inkscape inkscape_version)
 
@@ -545,6 +543,9 @@
     list (INSERT INKSCAPE_TARGET_LIBS 0 "gdl_LIB")
 endif()
 
+# Build everything except main and inkview.c in a shared library.
+add_library(inkscape_base SHARED ${inkscape_SRC} ${sp_SRC})
+
 # Link the inkscape_base library against all external dependencies
 target_link_libraries(inkscape_base ${INKSCAPE_TARGET_LIBS})
 

